Summary: An X Window System utility for monitoring system resources
Name: xosview
%define version 1.7.3
Version: %{version}
Release: 10mdk
Exclusiveos: Linux
Source0: ftp://sunsite.unc.edu/pub/Linux/utils/status/xosview-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2

Patch0: xosview-non-i386.patch.bz2
Patch1: xosview-io_h.patch.bz2
Patch2: xosview-ppc.patch.bz2
Patch3: xosview-rpath.patch.bz2
Copyright: Distributable GPL BSD
Group: Monitoring
Buildroot: %_tmppath/%{name}-root
%ifarch alpha
BuildRequires: egcs XFree86-devel xpm-devel
%endif
# XXX alpha barfs on linux/serial.h
ExcludeArch: alpha

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%ifarch ppc
%patch2 -p0
%endif
%patch3 -p0

# --- XXX Cruft Alert!
rm -f linux/*.o

%build
#remove rpath in LFLAGS
cd config; make; cd ..
# can't build both 2.0.x/2.1.x memstat modules
%ifnarch alpha
%configure --disable-linux-memstat;make
%else
CXX="g++ -V`egcs-version`" %configure --disable-linux-memstat;make CXX="g++ -V`egcs-version`"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1,lib/X11/app-defaults}

make PREFIX_TO_USE=$RPM_BUILD_ROOT/usr/X11R6 install

chmod u-s $RPM_BUILD_ROOT/usr/X11R6/bin/*

install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_libdir}/menu/
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_datadir}/icons/large/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_libdir}/menu/*
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*

%post
ldconfig
%{update_menus}

%postun
if [ "$1" = 0 ]; then
	%{update_menus}
fi  

%changelog
* Thu Jan 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.7.3-10mdk
- added patches for ppc - exclude serialmeter - no perm.h
- fixed rpmlint complaint on rpath and menu title

* Sun Jan 14 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.7.3-9mdk
- ExculdeArch: alpha (barfs on serial.h)

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.7.3-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.3-7mdk
- automatically added BuildRequires

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.7.3-6mdk
- minor specfile correction.

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.3-5mdk
- chmouelization
- build against new libstdc++

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.7.3-4mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.7.3-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7.3-2mdk
- Added menu entry.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 1.7.3-1mdk
- upgrade to 1.7.3

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.2-4mdk

- fixed build on sparc.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.7.2-3mdk
- libtoolize --force.
- use egcs on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.2

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
